services:
  gitlab-runner-docker:
    build:
      context: ./gitlab-runner
    env_file: .env
    restart: always
    network_mode: host
    privileged: true
    environment:
      RUNNER_NAME: "docker-runner"
      EXECUTOR: "docker"
      CONCURRENT: 1
      RUNNER_TAG_LIST: "docker"
      REGISTER_RUN_UNTAGGED: 0
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ./gitlab-runner/config.toml.template:/tmp/config.toml.template:ro
